EDIT - bug #8836

add default role Editor-Reference (REFERENCE.[UPDATE,DELETE],
TEAMORPERSONBASE.[UPDATE,DELETE])

01/29/2020 05:09 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.13

Severity: critical Found in Version:

Description

During the E+M Training (2020-01-19) it turned out that the current default permissions are not complete to allow contributing editors
to create and modify References. After creating a reference it can no longer be modified if a user is member of the groups Editor and
Euro_Med_Plantbase (TAXONNODE.[CREATE,READ,UPDATE,DELETE]). Granting users with

e REFERENCE.[UPDATE,DELETE]
¢ TEAMORPERSONBASE.[UPDATE,DELETE]

would avoid this. This GA should be provided as default Group.

use c3efd156-3a0a-4a5c-a99¢c-c6262fd734bd as UUID for the new group, as this uuid is already being used in Euro+Med. Assigning
another uuid would cause a duplicate Group being created.

see #8835 for a discussion if this solution is not be implemented to rejected.

Related issues:
Related to EDIT - task #8835: DISCUSS if the UPDATE & DELETE permission state... New

Associated revisions

Revision 1dd5b326 - 03/16/2020 05:56 PM - Andreas Kohlbecker
fix #8836 group Editor-Reference implemented (see also ref #8835)

History

#1 - 01/29/2020 05:09 PM - Andreas Kohlbecker
- Related to task #8835: DISCUSS if the UPDATE & DELETE permission stategy should become a general principle in the cdmlib added

#2 - 01/29/2020 11:30 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Andreas Kohlbecker
- Priority changed from New to Highest

- Severity changed from normal to critical

#3 - 01/30/2020 01:26 PM - Andreas Kohlbecker
- Description updated

#4 - 01/30/2020 01:29 PM - Andreas Kohlbecker
- Description updated

#5 - 03/16/2020 04:24 PM - Andreas Kohlbecker
- Description updated

#6 - 03/16/2020 04:24 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#7 - 03/16/2020 05:56 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved
https://dev.e-taxonomy.eu/redmine/issues/8835

- % Done changed from 0 to 50

Applied in changeset cdmlib|1dd5b326e489c3a7a9a945109a077{8f1293d1d5.

#8 - 03/16/2020 05:58 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| now implemented this group. We may decide removing this group again depending on the outcome of the discussion in #8835
#9 - 03/25/2020 02:04 PM - Andreas Kohlbecker

- Subject changed from add default role Editor-Reference (REFERENCE.[UPDATE,DELETE]) to add default role Editor-Reference
(REFERENCE.[UPDATE,DELETE], TEAMORPERSONBASE.[UPDATE,DELETE])
